## openbsd-inetd 0.20140418

=== Makefile ===
#	$OpenBSD: Makefile,v 1.2 1997/09/21 11:43:44 deraadt Exp $

PROG=	inetd
MAN=	inetd.8
MLINKS=	inetd.8 inetd.conf.5

.include <bsd.prog.mk>

## openbsd-inetd 0.20091229

=== debian/changelog ===
openbsd-inetd (0.20091229-2ubuntu3) raring; urgency=low

  * Add cross-build support

 -- Wookey <wookey@wookware.org>  Thu, 14 Feb 2013 01:13:55 +0000

openbsd-inetd (0.20091229-2ubuntu2) quantal; urgency=low

  * Re-enable bindnow and pie hardening options (LP: #1039597).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 22 Aug 2012 10:55:19 +0100

openbsd-inetd (0.20091229-2ubuntu1) quantal; urgency=low

  * Resynchronise with Debian.  Remaining changes:
    - debian/openbsd-inetd.default: Add missing default file.
  * Fix typo in debian/openbsd-inetd.default.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 May 2012 10:57:57 +0100

openbsd-inetd (0.20091229-2) unstable; urgency=medium

  * Fix hardening support by using dpkg-buildpackage. (Closes: #670886)

 -- Marco d'Itri <md@linux.it>  Mon, 21 May 2012 00:17:37 +0200

openbsd-inetd (0.20091229-1ubuntu2) quantal; urgency=low

  * Export CFLAGS and LDFLAGS, to avoid relying on dpkg-buildpackage doing
    so.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 30 Apr 2012 02:00:32 +0100

openbsd-inetd (0.20091229-1ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable (LP: #803384).  Remaining changes:
    - debian/openbsd-inetd.default: Add missing default file. (LP: #527143)

 -- Adam Gandelman <adamg@canonical.com>  Sun, 03 Jul 2011 13:25:39 +0200

openbsd-inetd (0.20091229-1) unstable; urgency=medium

  * New CVS snapshot.
  * Added Multi-Arch: foreign.
  * Documented the -i and -q command line options. (Closes: #515570, #612616)
  * If empty, remove /etc/inetd.conf on purge. (Closes: #597622)

 -- Marco d'Itri <md@linux.it>  Sun, 26 Jun 2011 00:42:55 +0200

openbsd-inetd (0.20080125-6ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/openbsd-inetd.default: Add missing default file. (LP: #527143)
    - Update maintainer according to spec.
    - debian/rules: Add hardening.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 02 Sep 2010 13:16:08 +0100

openbsd-inetd (0.20080125-6) unstable; urgency=medium

  * Added --oknodo to the init script, this time for real. (Closes: #592582)

 -- Marco d'Itri <md@linux.it>  Mon, 30 Aug 2010 00:02:27 +0200

openbsd-inetd (0.20080125-5) unstable; urgency=medium

  * Added --oknodo to the init script. (Closes: #592582)

 -- Marco d'Itri <md@linux.it>  Mon, 16 Aug 2010 21:33:09 +0200

openbsd-inetd (0.20080125-4ubuntu2) lucid; urgency=low

  * debian/openbsd-inetd.default: Add missing defaults file. (LP: #527143)  

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 16 Mar 2010 10:34:29 -0400

openbsd-inetd (0.20080125-4ubuntu1) lucid; urgency=low

  * Merge from debian testing.  Remaining changes:
    - Update maintainer according to spec.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 31 Dec 2009 05:01:54 +0000

openbsd-inetd (0.20080125-4) unstable; urgency=low

  * Use the hardening-includes package to build with hardening flags.
  * Do not call the patch-generated makefile in the clean target.
    (Closes: #538690)

 -- Marco d'Itri <md@linux.it>  Mon, 21 Dec 2009 03:26:02 +0100

openbsd-inetd (0.20080125-3ubuntu1) lucid; urgency=low

  * Merge from debian testing, remaining changes:
    - debian/{control,rules}: add and enable hardened build for PIE (Debian bug 542738).

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Nov 2009 01:34:46 +0000

openbsd-inetd (0.20080125-3) unstable; urgency=medium

  * Added support for the "status" action to the init script. (Closes: #526375)
  * inetd.8: documented that the service name may be a port number as well.
    (Closes: #519283)
  * Demoted to optional priority.

 -- Marco d'Itri <md@linux.it>  Sat, 04 Jul 2009 17:18:05 +0200

openbsd-inetd (0.20080125-2ubuntu1) karmic; urgency=low

  * debian/{control,rules}: add and enable hardened build for PIE
    (Debian bug 542738).

 -- Kees Cook <kees@ubuntu.com>  Thu, 20 Aug 2009 19:07:35 -0700

openbsd-inetd (0.20080125-2) unstable; urgency=high

  * Added dh_md5sums to debian/rules, since apparently people nowadays
    believe again that it is a good idea. (Closes: #484483)
  * Fixed the init script to povide "openbsd-inetd" instead of "inetd".
    (Closes: #507119)
  * Updated patches misc_portability and setproctitle with some missing
    prototypes.
  * Updated patch misc_portability with missing arguments to two syslog(3)
    calls.
  * Updated patch libwrap to fix a possibly uninitialized variable.
    The last three fixes are courtesy of Denis Zaitsev.

 -- Marco d'Itri <md@linux.it>  Mon, 15 Dec 2008 02:00:52 +0100

openbsd-inetd (0.20080125-1) unstable; urgency=low

  * New CVS snapshot.
  * Package painfully converted to quilt.
  * Fixed a typo in debian/control. (Closes: #125181)
  * Fixed a typo in the init script. (Closes: #465613, #465732)
  * Delete /etc/rc[2345].d/S20inetd too when upgrading from netkit-inetd.
    (Closes: #416010)
  * Do not use log_warning_msg in the init script when inetd.conf is emtpy,
    this is not something deserving extra attention. (Closes: #435658)
  * Document in inetd(8) that datagram services must read some network
    input or inetd will continue spawning them.
    Many thanks to James Cameron for the analysis. (Closes: #436803)
  * Use a real characters class instead of character ranges with grep
    in the init script, because some locales have weird ranges.
    Spotted by Meelis Roos. (Closes: #458564)

 -- Marco d'Itri <md@linux.it>  Sun, 20 Apr 2008 15:12:31 +0200

openbsd-inetd (0.20050402-6) unstable; urgency=high

  * Try again to fix #386469 by stopping the daemon in postinst before
    starting it, because update-inetd run by the maintainer script of a
    different package may have restarted it after the prerm ran on upgrade.
    Patch courtesy of Steve Langasek. (Closes: #386469)

 -- Marco d'Itri <md@linux.it>  Wed, 21 Mar 2007 19:07:01 +0100

openbsd-inetd (0.20050402-5) unstable; urgency=medium

  * Try again to fix #386469, this time by removing from the init script


=== debian/control ===
Source: openbsd-inetd
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
Build-Depends: debhelper (>= 5.0), libwrap0-dev
Standards-Version: 3.9.3.1

Package: openbsd-inetd
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13), update-inetd, tcpd
Provides: inet-superserver
Description: OpenBSD Internet Superserver
 The inetd server is a network daemon program that specializes in managing
 incoming network connections. Its configuration file tells it what
 program needs to be run when an incoming connection is received. Any
 service port may be configured for either of the tcp or udp protocols.
 .
 This is a port of the OpenBSD daemon with some debian-specific features.
 This package supports IPv6, built-in libwrap access control, binding to
 specific addresses, UNIX domain sockets and socket buffers tuning.

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

export DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow,+pie
DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

include /usr/share/dpkg/architecture.mk
CC:=$(DEB_HOST_GNU_TYPE)-gcc

D := $(CURDIR)/debian/openbsd-inetd

clean:
	dh_testdir
	rm -f debian/.stamp-*
	rm -f inetd *.o
	dh_clean

build: build-arch build-indep
build-arch: debian/.stamp-build
build-indep: debian/.stamp-build
debian/.stamp-build:
	dh_testdir
	$(MAKE) -f Makefile.debian CC=$(CC)
	touch $@

binary-arch: checkroot build
	dh_testdir
	dh_prep

	dh_installdirs usr/sbin/ usr/share/man/man5
	dh_installdocs
	dh_installman inetd.8
	dh_installchangelogs ChangeLog
	dh_link usr/share/man/man8/inetd.8.gz \
			usr/share/man/man5/inetd.conf.5.gz
	install --mode=755 inetd $D/usr/sbin/
	dh_installinit --update-rcd-params="defaults 20"
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	
binary:	binary-arch

binary-indep:

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean checkroot

## openbsd-inetd 0.20140418

=== debian/changelog ===
openbsd-inetd (0.20140418-2) unstable; urgency=medium

  * Recognize IPv6-bound sockets in the init script. (Closes: #763722)

 -- Marco d'Itri <md@linux.it>  Tue, 21 Oct 2014 03:22:45 +0200

openbsd-inetd (0.20140418-1) unstable; urgency=medium

  * New CVS snapshot.
  * Use bindnow and PIE hardening.
  * Added a systemd unit file. (Closes: #716862)

 -- Marco d'Itri <md@linux.it>  Thu, 05 Jun 2014 01:48:49 +0200

openbsd-inetd (0.20091229-3) unstable; urgency=medium

  * Updated patch libwrap: do not wrap internal services as documented,
    to prevent a segfault. (Closes: #691852)
  * Private implementations replaced with libbsd. (Closes: #675070)
  * Removed from the maintainer scripts the code needed to handle upgrade
    from netkit-inetd.
  * Support cross-compilation.

 -- Marco d'Itri <md@linux.it>  Fri, 03 Jan 2014 10:41:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: openbsd-inetd
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper (>= 5.0), libwrap0-dev
-Standards-Version: 3.9.3.1
+Maintainer: Marco d'Itri <md@linux.it>
+Build-Depends: debhelper (>= 9), dh-systemd,
+ pkg-config, libbsd-dev (>= 0.6.0), libwrap0-dev
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/users/md/openbsd-inetd.git
+Vcs-Browser: http://anonscm.debian.org/cgit/users/md/openbsd-inetd.git
 
 Package: openbsd-inetd
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
SHELL+= -e

DPKG_EXPORT_BUILDFLAGS = 1
DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
-include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  export CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

D := $(CURDIR)/debian/openbsd-inetd

clean:
	dh_testdir
	rm -f debian/.stamp-*
	rm -f inetd *.o
	dh_clean

build: build-arch build-indep
build-arch: debian/.stamp-build
build-indep: debian/.stamp-build
debian/.stamp-build:
	dh_testdir
	$(MAKE) -f Makefile.debian
	touch $@

binary-arch: checkroot build
	dh_testdir
	dh_prep

	dh_installdirs usr/sbin/ usr/share/man/man5/ lib/systemd/system/
	dh_installdocs
	dh_installman inetd.8
	dh_installchangelogs ChangeLog
	dh_link
	install --mode=755 inetd $D/usr/sbin/
	cp debian/inetd.service $D/lib/systemd/system/
	dh_systemd_enable
	dh_installinit --restart-after-upgrade
	dh_systemd_start --restart-after-upgrade
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary:	binary-arch

binary-indep:

checkroot:
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep build build-arch build-indep clean checkroot

## openbsd-inetd 0.20160825

=== Makefile ===
#	$OpenBSD: Makefile,v 1.4 2014/10/29 03:33:14 dlg Exp $

PROG=	inetd
LDADD=	-levent
DPADD=	${LIBEVENT}
MAN=	inetd.8

.include <bsd.prog.mk>

=== debian/changelog ===
openbsd-inetd (0.20160825-5) unstable; urgency=medium

  * Use the TI RPC implementation from libtirpc. (Closes: #968733)

 -- Marco d'Itri <md@linux.it>  Tue, 25 Aug 2020 03:37:27 +0200

openbsd-inetd (0.20160825-4) unstable; urgency=medium

  * Updated the Vcs-* fields.

 -- Marco d'Itri <md@linux.it>  Mon, 18 Feb 2019 01:31:18 +0100

openbsd-inetd (0.20160825-3) unstable; urgency=medium

  * Depend on network-online.target, to support binding a service to a
    specific address. (Closes: #859487)

 -- Marco d'Itri <md@linux.it>  Wed, 01 Nov 2017 20:21:23 +0100

openbsd-inetd (0.20160825-2) unstable; urgency=medium

  * Made inetd a systemd Type=notify service with watchdog support.
  * Added support for "systemctl reload".
  * Support again creating a PID file, which was removed upstream.
    (Closes: 849776)
  * Replaced CLOCK_BOOTTIME with CLOCK_MONOTONIC on non-Linux ports.

 -- Marco d'Itri <md@linux.it>  Mon, 02 Jan 2017 11:49:56 +0100

openbsd-inetd (0.20160825-1) unstable; urgency=medium

  * New CVS snapshot. inetd now uses libevent.
  * Use KillMode=process. (Closes: #824931)
  * Use a triplet-prefixed pkg-config when cross compiling.
    (Closes: #839016)

 -- Marco d'Itri <md@linux.it>  Mon, 26 Dec 2016 19:18:00 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: net
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper (>= 9), dh-systemd,
- pkg-config, libbsd-dev (>= 0.6.0), libwrap0-dev
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/users/md/openbsd-inetd.git
-Vcs-Browser: http://anonscm.debian.org/cgit/users/md/openbsd-inetd.git
+Build-Depends: debhelper-compat (= 12), debhelper (>= 12.8),
+ pkg-config, libbsd-dev (>= 0.6.0), libwrap0-dev, libevent-dev, libsystemd-dev, libtirpc-dev
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/md/openbsd-inetd.git
+Vcs-Browser: https://salsa.debian.org/md/openbsd-inetd
 
 Package: openbsd-inetd
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-13), update-inetd, tcpd
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, update-inetd, tcpd
 Provides: inet-superserver
 Description: OpenBSD Internet Superserver
  The inetd server is a network daemon program that specializes in managing

=== debian/rules ===
#!/usr/bin/make -f

DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean -- -f Makefile.debian

override_dh_auto_build:
	dh_auto_build -- -f Makefile.debian

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- -f Makefile.debian

override_dh_installsystemd:
	dh_installsystemd --name inetd

## openbsd-inetd 0.20221205

=== debian/changelog ===
openbsd-inetd (0.20221205-2~deb12u1) bookworm; urgency=medium

  * Rebuilt for bookworm. (Closes: #1050542)

 -- Marco d'Itri <md@linux.it>  Sun, 27 Aug 2023 02:14:24 +0200

openbsd-inetd (0.20221205-2) unstable; urgency=medium

  * Updated the Debian patch default_v4v6 to fix fix a double free and
    a memory leak on configuration reloads. (Closes: #1050208)

 -- Marco d'Itri <md@linux.it>  Wed, 23 Aug 2023 12:49:41 +0200

openbsd-inetd (0.20221205-1) unstable; urgency=medium

  * New CVS snapshot.
  * When just "tcp" or "udp" is specified in inetd.conf, now inetd defaults
    to running two servers: one for IPv4 and one for IPv6 traffic.
    This is identical to specifying both e.g. "tcp4" and "tcp6".
    The old semantics of only accepting IPv4 connections can be restored
    by using "tcp4" or "udp4".
  * Added the missing echo and chargen TCP small services to the example
    inetd.conf. No examples for other UDP small services will be provided
    because they are a source of reflection DoS attacks. (Closes: #1013300)
  * Added an autopkgtest.

 -- Marco d'Itri <md@linux.it>  Mon, 02 Jan 2023 14:33:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,14 @@
 Section: net
 Priority: optional
 Maintainer: Marco d'Itri <md@linux.it>
-Build-Depends: debhelper-compat (= 12), debhelper (>= 12.8),
- pkg-config, libbsd-dev (>= 0.6.0), libwrap0-dev, libevent-dev, libsystemd-dev, libtirpc-dev
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+ pkg-config,
+ libbsd-dev,
+ libwrap0-dev,
+ libevent-dev,
+ libsystemd-dev,
+ libtirpc-dev,
+Standards-Version: 4.6.2.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/md/openbsd-inetd.git
 Vcs-Browser: https://salsa.debian.org/md/openbsd-inetd
@@ -13,7 +18,7 @@
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base, update-inetd, tcpd
+Depends: ${shlibs:Depends}, ${misc:Depends}, update-inetd, tcpd
 Provides: inet-superserver
 Description: OpenBSD Internet Superserver
  The inetd server is a network daemon program that specializes in managing

=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,12 @@
 #!/usr/bin/make -f
 
-DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow,+pie
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all future=+lfs
 
 %:
 	dh $@
 
 override_dh_auto_clean:
-	dh_auto_clean -- -f Makefile.debian
+	rm -f inetd inetd.o
 
 override_dh_auto_build:
 	dh_auto_build -- -f Makefile.debian
